Package org.jboss.resteasy.plugins.providers.jaxb

## Class JAXBXmlSeeAlsoProvider

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.AbstractEntityProvider<T>
  - - org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider<Object>
    - - org.jboss.resteasy.plugins.providers.jaxb.JAXBXmlSeeAlsoProvider

- All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyReader<Object>`, `javax.ws.rs.ext.MessageBodyWriter<Object>`, `AsyncBufferedMessageBodyWriter<Object>`, `AsyncMessageBodyWriter<Object>`
  Direct Known Subclasses:
    `FastinfoSetXmlSeeAlsoProvider`

      @Provider
      @Produces({"application/xml","application/*+xml","text/xml","text/*+xml"})
      @Consumes({"application/xml","application/*+xml","text/xml","text/*+xml"})
      public class JAXBXmlSeeAlsoProvider
      extends AbstractJAXBProvider<Object>

  A JAXBXmlRootElementProvider.
  Version:
    $Revision:$
  Author:
    Ryan J. McDonough

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider

      `providers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JAXBXmlSeeAlsoProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JAXBContext` | `findJAXBContext​(Class<?> type, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, boolean reader)` |
    `protected boolean` | `isReadWritable​(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider

      `decorateMarshaller, decorateUnmarshaller, getCharset, getMarshaller, isDisableDTDs, isDisableExternalEntities, isEnableSecureProcessingFeature, isReadable, isWriteable, needsSecurity, processWithSecureProcessing, readFrom, setCharset, setDisableDTDs, setDisableExternalEntities, setEnableSecureProcessingFeature, writeTo`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.AbstractEntityProvider

      `getSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.core.messagebody.AsyncBufferedMessageBodyWriter

      `asyncWriteTo`

    - ### Methods inherited from interface javax.ws.rs.ext.MessageBodyWriter

      `getSize`

- - ### Constructor Detail

    - #### JAXBXmlSeeAlsoProvider

          public JAXBXmlSeeAlsoProvider()

  - ### Method Detail

    - #### findJAXBContext

          public JAXBContext findJAXBContext​(Class<?> type,
                                             Annotation[] annotations,
                                             javax.ws.rs.core.MediaType mediaType,
                                             boolean reader)
                                      throws JAXBException

      Overrides:
        `findJAXBContext` in class `AbstractJAXBProvider<Object>`
      Throws:
        `JAXBException`

    - #### isReadWritable

          protected boolean isReadWritable​(Class<?> type,
                                           Type genericType,
                                           Annotation[] annotations,
                                           javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `isReadWritable` in class `AbstractJAXBProvider<Object>`